Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

RTE in AEM 6.5 touchUI

btaymaz
Level 2
Level 2

OOB RTE working locally but not on server.

 

Server adding "/etc.clientlibs/clientlibs/granite/coralui2/optional/rte.min.js

 

rte.png

1 Accepted Solution
btaymaz
Correct answer by
Level 2
Level 2

I think I found it.

 

Dependency under "/libs/mcm/campaign/components/touch-ui/clientlibs/rte" is pointing to "coralui2"

 

rte2.png

 

 

View solution in original post

5 Replies
Asutosh_Jena_
Community Advisor
Community Advisor

Hi @btaymaz 

 

Both local and dev (server) is running on same version of AEM with same service pack and feature pack (if any)?

Was there any recent package deployment that was made?

 

Also when you are trying to use the RTE component are you getting any error in console?

 

Thanks!

btaymaz
Level 2
Level 2

Yes, they are both 6.5

 

I see handlebars template loading error on page load. And I can't close the dialog after open

Vijayalakshmi_S
Community Advisor
Community Advisor

Hi @btaymaz,

Difference with respect to JS files inclusion(based on the screenshot shared in the query) are the ones from /libs/clientlibs/granite/coralui2/optional folder and modern.js (included in server and not in local)

  • modern.js from /etc/clientlibs/granite/loadash/modern.js is not available in 6.5.0
  • Also, handlebar.js from .../optional/clientlibs/handlebars.js is not available in 6.5.0 (clientlibs folder within optional is not there at first place)

High level root cause for this would be use of coral ui 2 resource with respect to RTE perhaps say custom plugins, leading to inclusion of /libs/clientlibs/granite/coralui2/optional/rte that has dependency on handlebars.

 

Given all this, I suggest to check the following

  • Availability of files in these locations in both server and local. 
  • Latest project specific code base on both the instances. 
  • If you have overlayed clientlibs, cross check its availability in both the instances (as I couldn't see above mentioned in my plain 6.5.0 instance)
  • Comparison on server and local on exact same page (Server is from live copy page and local is from lang master from the screenshot)
  • You have already compared the instance details and confirmed it to be 6.5. Just to be sure, cross check from http://localhost:4502/aem/start.html -> Right hand section -> "Help" -> About Experience Manager. (If you have checked it this way already, ignore)
btaymaz
Correct answer by
Level 2
Level 2

I think I found it.

 

Dependency under "/libs/mcm/campaign/components/touch-ui/clientlibs/rte" is pointing to "coralui2"

 

rte2.png

 

 

View solution in original post

kautuk_sahni
Community Manager
Community Manager
@btaymaz, thank you for sharing the answer with AEM community, this would help in posterity. Good to have AEM SME like you in this AEM Community. Keep contributing.